For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filing year

Get cases by filing year (integer).

GET https://clearinghouse.net/api/v2p1/cases/?filing_year=filing_year

Returns all cases filed in the given year. Matches cases where the full filing_date falls within that year, as well as cases where only the filing_year matches.

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

Example

https://clearinghouse.net/api/v2p1/cases?filing_year=2010
import requests

url = "https://clearinghouse.net/api/v2p1/cases?filing_year=2010"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated